#include "gwytj_vidicon.h"
#include "wbs/ytj/ytj_config.pb.h"

namespace zsy
{
    GWYTJVidicon::GWYTJVidicon(const VidiconConfig &config)
        : Vidicon(config)
    {
        YtjConfig ytj_config;
        ytj_config.set_group_sn(config.group_sn());
        ytj_config.set_group_name(config.group_name());
        ytj_config.set_sn(config.sn());
        ytj_config.set_name(config.name());
        const auto &vidicon_config_ytj_config = config.ytj_config();
        ytj_config.set_dev_sn(vidicon_config_ytj_config.dev_sn());
        ytj_config.set_front(false);
        ytj_config.set_mqtt_sn(vidicon_config_ytj_config.mqtt_sn());
        auto vidicon_config = ytj_config.mutable_vidicon_config();
        vidicon_config->set_timeout(vidicon_config_ytj_config.timeout());
        vidicon_config->set_enable_recognize(false);
        ytj = std::make_shared<Ytj>(ytj_config);
    }

    std::string GWYTJVidicon::photograph()
    {
        return ytj->photograph();
    }
} // zsy